Open MPI logo

Hardware Locality Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Hardware Locality Development mailing list

Subject: [hwloc-devel] RHEL 5/6 SRPM
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2010-11-04 13:55:18


Jirka --

Question for you. In making the hwloc 1.1rc tarball, I updated the GNU Autotools that hwloc is using. It didn't occur to me until after the fact that this might be problematic for the RPM %configure macro that ships in RHEL5 and RHEL6 -- see this Open MPI ticket for details:

    https://svn.open-mpi.org/trac/ompi/ticket/2611

I've been trying to engage the Red Hat Open MPI SRPM maintainer on this issue (Jay Fenlanson), but I haven't been able to elicit much of a reply.

Hwloc doesn't ship an SRPM, but the same issue will occur because it's a what-version-of-autoconf-is-used-to-bootstrap-the-tarball issue. Do you have any advice on what to do? It would be somewhat surprising if Open MPI and/or hwloc are the only packages that have upgraded to Autoconf 2.68.

Thanks!

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/